Subject: Re: Is there any method to get 32bit Cygwin?
From: LnH via Cygwin <[email-masked]>
To: Oskar Skog <[email-masked]>
Cc: [email-masked]
Date: Sat, 03 Dec 2022 15:27:21 +0000
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

I get :   AMD64

Lawrence Habahbeh

Sent with Proton Mail secure email.

------- Original Message -------
On Saturday, December 3rd, 2022 at 6:21 PM, Oskar Skog via Cygwin <[email-masked]> wrote:

> > Having the same problem since updating to 64-bit Cygwin. I keep
> 
> getting the error " The application was unable to start correctly (
> 0xc000007b). Click OK to close the application- I am getting this error
> when I try to update my 32-bit Cygwin using setup-x86-64."
> 
> 0xC000007B is STATUS_INVALID_IMAGE_FORMAT
> 
> Either the file is corrupt, or you're trying to run 64-bit programs
> on 32-bit Windows.
> 
> > That's what I did. I got the setup-x86.exe to the desktop. And then
> 
> I run it and get the following error "Cygwin is not supported on 32-bit
> windows". However, I am running 64-bit windows.
> 
> Are you sure you are running 64-bit Windows?
> 
> What do you get if you run
> echo %PROCESSOR_ARCHITECTURE%
> in the command prompt?
> 
> --
> Problem reports: https://cygwin.com/problems.html
> FAQ: https://cygwin.com/faq/
> Documentation: https://cygwin.com/docs.html
> Unsubscribe info: https://cygwin.com/ml/#unsubscribe-simple

-- 
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple